'-- this script uses the shell.application object's BrowseForFolder.
'-- Properties in shell.application are different from the FSO.
Option Explicit
Const NOPATH="** No Path **"

Sub Script_Open(From)
Dim WshShell 'as WshShell
Set WshShell = CreateObject("WScript.Shell")
dim NewFolder
NewFolder = GetFolderName("Choose Folder where to go")
If NewFolder<>NOPATH Then
  Panel.CurDir=NewFolder
End If
End Sub

Function GetFolderName(brTitle)
Dim sh, fol, s, fils, fil, i, sn, s1, sp, fpar, spath, col, pt, pt1
Set sh = CreateObject("Shell.Application")
Dim fso 'as FileSystemObject
Set fso = CreateObject("Scripting.FileSystemObject")
set fol = sh.browseforfolder(clng(0), brTitle, clng(0))
on error resume next
sn = fol.title
if err.number <> 0 then  '--cancel was clicked.
    sn=NOPATH
else
  set fil = fol.items.item(0)
  s1=fil.path
  spath = left(s1, len(s1) - (len(fil.name) + 1))
  if spath <> "" then
    If fso.FolderExists(spath) Then
      sn=fso.GetAbsolutePathName(spath)
    Else
      sn=NOPATH
    End If 'fso
  else
    '--if there were no files in folder then path is not yet found.
    '--this routine will get the path by getting successive parent folder names
    '--until it finds one with a colon ( : ). It then parses that name to get the drive
    '--and quits the Do Loop.
    sp = "a"   '--make sp something so loop can start.
    Do while sp <> ""
      on error resume next
      Set fpar = fol.parentfolder
      sp = fpar.title                    '--an error here means no parent folder and no : has been found below
      if err.number <> 0 then            '--so it must be a drive or namespace (control panel, etc.)
         If fso.FolderExists(sn) Then
          sn=fso.GetAbsolutePathName(sn)
         Else
            pt1 = instrrev(sn, ":")
            if pt1 = 0 then           '--it's a namespace. clean it up.
              sn=NOPATH
            else                      '--it's a drive. extract root folder path (ex.: C:\ )
              sn =  mid(sn, pt1 - 1, 2) & "\"
            end if
         End If 'fso
         exit do
      end if
      err.clear
      Set fol = fpar
      If sp <> "" then          '--look for a colon. if found then quit loop. if not then keep going.
        col = instrrev(sp, ":")
        if col = 0 then         '-- no colon. add folder name to path and keep going.
          sn = sp & "\" & sn
        else                    '--colon found. get root folder, add to path and quit loop.
          sn = mid(sp, col - 1, 2) & "\" & sn
          exit do
        end if
      end if
    loop
  end if
end if
set fils = nothing
set fpar = nothing
set fol = nothing
set sh = nothing
set fso = nothing
GetFolderName = sn
End Function